#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:comments) do
  include EasyType
  include Puppet_X::EnterpriseModules::Oracle::Access

  desc <<-EOD
    Adds a comment to the job. 

    Here is an example on how to use this:

        ora_scheduler_job{ 'me.my_job@sid':
          ...
          comments => 'This is job my_job in schema me',
          ...
        }

    Puppet doesn't provide a default value.

  EOD

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('COMMENTS')
  end

  on_modify do
    statement = template('ora_config/ora_scheduler_job/modify_quoted_attribute.sql.erb', binding)
    sql statement, {:sid => resource.sid}
  end

end
