#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:segment_space_management) do
  include EasyType
  include Puppet_X::EnterpriseModules::Oracle::Access

  desc <<-EOD
    The segment_space_management property is relevant only for permanent, locally managed tablespaces.
    It lets you specify whether Oracle Database should track the used and free space in the segments in the tablespace using free lists or bitmaps.
    This property is not valid for a temporary tablespace.
  EOD

  newvalues(:auto, :manual)

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('SEGMEN').downcase.to_sym
  end

  after_modify do
    sql("alter tablespace #{resource[:name]} segment space management #{value}", :sid => sid)
  end
end
